<template>
  <span
    ref="iconElement"
    class="align-middle"
    :class="icon"
    :style="{
      color: props.fill,
    }"
    :data-bs-toogle="tooltip.length > 0 ? 'tooltip' : undefined"
    :data-bs-title="tooltip.length > 0 ? tooltip : undefined"
  />
</template>

<script setup lang="ts">
import { onMounted, ref } from "vue";
import { Tooltip } from "bootstrap";

const iconElement = ref<HTMLSpanElement | undefined>(undefined);

const props = defineProps({
  icon: { type: String, required: true },
  fill: { type: String, default: "currentColor", required: false },
  tooltip: { type: String, required: false, default: "" },
});

onMounted(() => {
  if (props.tooltip.length > 0 && iconElement.value != undefined) {
    new Tooltip(iconElement.value);
  }
});
</script>

<style scoped></style>
